var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { StyleSheet, View } from 'react-native';
import { Divider } from 'react-native-paper';
const defaultStyles = StyleSheet.create({
    root: {
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'center',
    },
    divider: {
        position: 'absolute',
        left: 0,
        right: 0,
        bottom: 0,
    },
});
/**
 * [HeroBanner](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--hero) component
 *
 * The HeroBanner is a wrapper component that is used to properly space out
 * [Hero](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--hero) component children in a flex container row.
 */
export const HeroBanner = (props) => {
    const { divider, children, styles = {}, style } = props, viewProps = __rest(props, ["divider", "children", "styles", "style"]);
    const childrenArray = Array.isArray(children) ? children : [children];
    return (React.createElement(React.Fragment, null,
        React.createElement(View, Object.assign({ style: [defaultStyles.root, styles.root, style] }, viewProps),
            childrenArray,
            divider && (React.createElement(View, { style: defaultStyles.divider },
                React.createElement(Divider, null))))));
};
