var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { StyleSheet } from 'react-native';
import { Text } from 'react-native-paper';
import { useFontScaleSettings } from '../__contexts__/font-scale-context';
import { useExtendedTheme } from '@brightlayer-ui/react-native-themes';
const overlineStyles = (theme) => StyleSheet.create({
    root: {
        color: theme.colors.onSurface,
        letterSpacing: 2,
        textTransform: 'uppercase',
    },
});
export const Overline = (props) => {
    const { children, style, styles = {}, theme: themeOverride } = props, otherTextProps = __rest(props, ["children", "style", "styles", "theme"]);
    const theme = useExtendedTheme(themeOverride);
    const defaultStyles = overlineStyles(theme);
    const { maxScale, disableScaling } = useFontScaleSettings();
    return (React.createElement(Text, Object.assign({ variant: 'labelMedium', style: [defaultStyles.root, styles.root, style], allowFontScaling: !disableScaling, maxFontSizeMultiplier: maxScale }, otherTextProps), children));
};
