var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { StyleSheet, View } from 'react-native';
const spacerStyles = (props, flex) => StyleSheet.create({
    root: {
        flex: flex,
        height: props.height || 'auto',
        width: props.width || 'auto',
    },
});
/**
 * [Spacer](https://brightlayer-ui-components.github.io/react-native/?path=/info/components-documentation--spacer) component
 *
 * This is a helpful utility component for adding spacer elements
 * when working within flexbox containers. You can give it a flexible
 * or a fixed size.
 */
export const Spacer = (props) => {
    const { children, style, styles = {}, 
    // ignore unused vars so that we can do prop transferring to the root element
    /* eslint-disable @typescript-eslint/no-unused-vars */
    flex = 1, height, width } = props, 
    /* eslint-enable @typescript-eslint/no-unused-vars */
    otherViewProps = __rest(props, ["children", "style", "styles", "flex", "height", "width"]);
    const defaultStyles = spacerStyles(props, flex);
    return (React.createElement(View, Object.assign({ testID: 'spacer-root', style: [defaultStyles.root, styles.root, style] }, otherViewProps), children));
};
Spacer.displayName = 'Spacer';
